jQuery(document).ready(function () {
  jQuery('.mail-sent-ok').hide();
  jQuery('#submission-error').text('').hide();
  jQuery('#email-error').hide();
  jQuery('.loading').hide();

  jQuery('.omnistream-subscribe button').click(function() {
    var email = jQuery('#email').val();

    jQuery('.mail-sent-ok').hide();
    jQuery('#submission-error').text('').hide();
    jQuery('#email-error').hide();

    if (email == '') {
      jQuery('#email-error').show();
    }
    else {
      jQuery.post(omnistreamConnectorVars.rootUrl + '/v1/content/units/' + omnistreamConnectorVars.unitId + '/signups',
        {
          "email": email.trim().toLowerCase(),
          "member": false,
          "user_id": omnistreamConnectorVars.userTrackerCookie,
          "article": omnistreamConnectorVars.postGuid,
          "location": window.location.href,
          "referrer": document.referrer
        },
        function() { // success
          jQuery('.loading').hide();
          jQuery('#email-error').hide();
          jQuery('.mail-sent-ok').show();
        }
      ).fail(function(jqXHR, textStatus, errorThrown) {
        jQuery('.loading').hide();
        jQuery('#submission-error').text(jqXHR.responseJSON.email.join(', ')).show();
      });
      jQuery('.loading').show();
    }
    return false;
  });
});
